Package org.silverpeas.mobile.client.apps.workflow

## Class WorkflowApp

- java.lang.Object
- - org.silverpeas.mobile.client.common.app.App
  - - org.silverpeas.mobile.client.apps.workflow.WorkflowApp

- All Implemented Interfaces:
    `com.google.gwt.event.shared.EventHandler`, `NavigationEventHandler`, `WorkflowAppEventHandler`, `AppEventHandler`

      public class WorkflowApp
      extends App
      implements NavigationEventHandler, WorkflowAppEventHandler

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.client.common.app.App

      `container`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkflowApp()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `actionNotProcessed​(int error)` |
    `void` | `actionProcessed()` |
    `void` | `appInstanceChanged​(NavigationAppInstanceChangedEvent event)` |
    `void` | `loadActionForm​(WorkflowLoadActionFormEvent event)` |
    `void` | `loadInstance​(WorkflowLoadInstanceEvent event)` |
    `void` | `loadInstances​(WorkflowLoadInstancesEvent event)` |
    `void` | `loadUserField​(WorkflowLoadUserFieldEvent event)` |
    `void` | `processForm​(WorkflowProcessFormEvent event)` |
    `void` | `roleChanged​(WorkflowRoleChangeEvent workflowRoleChangeEvent)` |
    `void` | `showContent​(NavigationShowContentEvent event)` |
    `void` | `start()` |
    `void` | `stop()` |

    - ### Methods inherited from class org.silverpeas.mobile.client.common.app.App

      `getApplicationInstance, getAppName, getMainPage, isStopLoading, receiveEvent, setApplicationInstance, setMainPage, setStopLoading, startWithContent, stopLoadingDataEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkflowApp

          public WorkflowApp()

  - ### Method Detail

    - #### start

          public void start()

      Overrides:
        `start` in class `App`

    - #### stop

          public void stop()

      Overrides:
        `stop` in class `App`

    - #### appInstanceChanged

          public void appInstanceChanged​(NavigationAppInstanceChangedEvent event)

      Specified by:
        `appInstanceChanged` in interface `NavigationEventHandler`

    - #### showContent

          public void showContent​(NavigationShowContentEvent event)

      Specified by:
        `showContent` in interface `NavigationEventHandler`
      Overrides:
        `showContent` in class `App`

    - #### loadInstances

          public void loadInstances​(WorkflowLoadInstancesEvent event)

      Specified by:
        `loadInstances` in interface `WorkflowAppEventHandler`

    - #### loadInstance

          public void loadInstance​(WorkflowLoadInstanceEvent event)

      Specified by:
        `loadInstance` in interface `WorkflowAppEventHandler`

    - #### loadActionForm

          public void loadActionForm​(WorkflowLoadActionFormEvent event)

      Specified by:
        `loadActionForm` in interface `WorkflowAppEventHandler`

    - #### loadUserField

          public void loadUserField​(WorkflowLoadUserFieldEvent event)

      Specified by:
        `loadUserField` in interface `WorkflowAppEventHandler`

    - #### processForm

          public void processForm​(WorkflowProcessFormEvent event)

      Specified by:
        `processForm` in interface `WorkflowAppEventHandler`

    - #### roleChanged

          public void roleChanged​(WorkflowRoleChangeEvent workflowRoleChangeEvent)

      Specified by:
        `roleChanged` in interface `WorkflowAppEventHandler`

    - #### actionProcessed

          public void actionProcessed()

    - #### actionNotProcessed

          public void actionNotProcessed​(int error)